Debian Bug report logs - #561947
ITP: zookeeper -- Information management inside a cluster. Part

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Mon, 21 Dec 2009 13:12:01 UTC

Severity: wishlist

Fixed in version zookeeper/3.2.2+dfsg3-1

Done: Thomas Koch <thomas.koch@ymc.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, <wnpp@debian.org>:
Bug#561947; Package wnpp. (Mon, 21 Dec 2009 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, <wnpp@debian.org>. (Mon, 21 Dec 2009 13:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: zookeeper -- Information management inside a cluster. Part of the hadoop family.
Date: Mon, 21 Dec 2009 14:06:31 +0100
Package: wnpp
Severity: wishlist


* Package name    : zookeeper
  Version         : 3.2.2
  Upstream Author : TODO (List each one? Apache Software Foundation?)
* URL             : http://hadoop.apache.org/zookeeper
* License         : Apache License, Version 2.0
  Programming Lang: Java
  Description     : Information management inside a cluster. Part of the hadoop family.

ZooKeeper is a centralized service for maintaining configuration
information, naming, providing distributed synchronization, and
providing group services. All of these kinds of services are used in
some form or another by distributed applications.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#561947; Package wnpp. (Fri, 08 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 08 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 561947@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 561947@bugs.debian.org, zookeeper-user@hadoop.apache.org, zookeeper-dev@hadoop.apache.org
Subject: Packaging for Debian started
Date: Fri, 8 Jan 2010 15:28:49 +0100
Hi,

I've started packaging zookeeper for Debian at:

http://git.debian.org/?p=pkg-java/zookeeper.git

The Debian RequestForPackaging bug can be found at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561947

Thank you for ZooKeeper!

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#561947; Package wnpp. (Fri, 08 Jan 2010 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Hunt <phunt@apache.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 08 Jan 2010 19:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 561947@bugs.debian.org (full text, mbox):

From: Patrick Hunt <phunt@apache.org>
To: 561947@bugs.debian.org
Subject: My review of the ZooKeeper packaging
Date: Fri, 08 Jan 2010 10:45:59 -0800
I cloned the git repo and took a look around. FYI I'm not super familiar 
with debian packaging (as creator, I'm a knowledgeable user though - 
ubuntu is my primary dev env).

From what I understand from the doc detail in "debian" directory the 
intent for this package is to provide the binaries and sample config, 
but the service itself is not started/controlled through this pkg. That 
seems fine to me.

I couldn't tell from the git repo itself - just the java code is being 
compiled into binary? The C client is provided as source only? (at this 
time).

Any other plans longer term? Be aware - Ivy is integrated into the trunk 
for 3.3.0 release (sched for March). The "main" code uses this to pull 
all dependencies, the contrib is currently being converted over to use 
this (so far just bookkeeper).

Patrick




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 07:12:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: zookeeper -- Information management inside a cluster. Part' from 'RFP: zookeeper -- Information management inside a cluster. Part of the hadoop family.' Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Wed, 27 Jan 2010 13:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#561947; Package wnpp. (Thu, 28 Jan 2010 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 28 Jan 2010 12:18:04 GMT) Full text and rfc822 format available.

Message #24 received at 561947@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 561947@bugs.debian.org
Subject: [patch] build C & python bindings
Date: Thu, 28 Jan 2010 13:16:21 +0100
[Message part 1 (text/plain, inline)]

[zk.diff (text/x-diff, attachment)]

Reply sent to Thomas Koch <thomas.koch@ymc.ch>:
You have taken responsibility. (Fri, 05 Feb 2010 21:51:09 GMT) Full text and rfc822 format available.

Notification sent to Thomas Koch <thomas@koch.ro>:
Bug acknowledged by developer. (Fri, 05 Feb 2010 21:51:10 GMT) Full text and rfc822 format available.

Message #29 received at 561947-close@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas.koch@ymc.ch>
To: 561947-close@bugs.debian.org
Subject: Bug#561947: fixed in zookeeper 3.2.2+dfsg3-1
Date: Fri, 05 Feb 2010 21:48:34 +0000
Source: zookeeper
Source-Version: 3.2.2+dfsg3-1

We believe that the bug you reported is fixed in the latest version of
zookeeper, which is due to be installed in the Debian FTP archive:

libzookeeper-java-doc_3.2.2+dfsg3-1_all.deb
  to main/z/zookeeper/libzookeeper-java-doc_3.2.2+dfsg3-1_all.deb
libzookeeper-java_3.2.2+dfsg3-1_all.deb
  to main/z/zookeeper/libzookeeper-java_3.2.2+dfsg3-1_all.deb
zookeeper_3.2.2+dfsg3-1.diff.gz
  to main/z/zookeeper/zookeeper_3.2.2+dfsg3-1.diff.gz
zookeeper_3.2.2+dfsg3-1.dsc
  to main/z/zookeeper/zookeeper_3.2.2+dfsg3-1.dsc
zookeeper_3.2.2+dfsg3-1_all.deb
  to main/z/zookeeper/zookeeper_3.2.2+dfsg3-1_all.deb
zookeeper_3.2.2+dfsg3.orig.tar.gz
  to main/z/zookeeper/zookeeper_3.2.2+dfsg3.orig.tar.gz
zookeeperd_3.2.2+dfsg3-1_all.deb
  to main/z/zookeeper/zookeeperd_3.2.2+dfsg3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561947@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Koch <thomas.koch@ymc.ch> (supplier of updated zookeeper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Jan 2010 16:41:22 +0100
Source: zookeeper
Binary: libzookeeper-java zookeeper zookeeperd libzookeeper-java-doc
Architecture: source all
Version: 3.2.2+dfsg3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Koch <thomas.koch@ymc.ch>
Description: 
 libzookeeper-java - Information management inside a cluster. Part of the hadoop famil
 libzookeeper-java-doc - API-Documentation for zookeeper
 zookeeper  - Information management inside a cluster. Part of the hadoop famil
 zookeeperd - Information management inside a cluster. Part of the hadoop famil
Closes: 561947
Changes: 
 zookeeper (3.2.2+dfsg3-1) unstable; urgency=low
 .
   * New repackaging after FTP rejection due to overseen license issues.
   * New repackaging of upstream tarball to exclude generated code.
   * Initial release. (Closes: #561947)
Checksums-Sha1: 
 783dcc2528c82264156f53d7dfbeae2e0e88fdff 1456 zookeeper_3.2.2+dfsg3-1.dsc
 37148c27d1d89787cba432819677b8482da6c2dc 2328253 zookeeper_3.2.2+dfsg3.orig.tar.gz
 443d20af7b029b925f877ed119a14935b4d89950 7256 zookeeper_3.2.2+dfsg3-1.diff.gz
 37583bcb8356b85b07431e0bab3daed52bb325c1 580420 libzookeeper-java_3.2.2+dfsg3-1_all.deb
 078331a0e72a4561a59c7be2f947a273924a88b2 5154 zookeeper_3.2.2+dfsg3-1_all.deb
 7b83aff51bd9d3f9b8b28de9c60b03e20c31c1b9 3288 zookeeperd_3.2.2+dfsg3-1_all.deb
 38a9d2696890e432c9279cdec4572cd1ce1de27f 369020 libzookeeper-java-doc_3.2.2+dfsg3-1_all.deb
Checksums-Sha256: 
 c850bb3abb7bb1050d3c743786a16b81ff34b503d7d1123961c7ebfd76f42051 1456 zookeeper_3.2.2+dfsg3-1.dsc
 2f44370403c4eda13fae80d10d99e0d08df064db73b310930612f4a80e8f1112 2328253 zookeeper_3.2.2+dfsg3.orig.tar.gz
 2c461ae92b8a44a01372b0d1cbc449b0b33e11e9c5ae633b46519ab075c902d2 7256 zookeeper_3.2.2+dfsg3-1.diff.gz
 7c514fb36b50d6ca97a82ea9f184d4ab1cc949f97690f985fd5c3dd5ce7516c0 580420 libzookeeper-java_3.2.2+dfsg3-1_all.deb
 e875d51eb78d6647a5dbfcae54f57fd3d198d4f4c331616ff26c9c0cd97e28a3 5154 zookeeper_3.2.2+dfsg3-1_all.deb
 5ae0af987ff0cb50fb403dab4ccb33bfd7a84c604c2bfdadac8e9f57aad4bcee 3288 zookeeperd_3.2.2+dfsg3-1_all.deb
 b6aae02cefa52e4b111a23cd279c27c2a0213035930d16e354200b36035fe0b4 369020 libzookeeper-java-doc_3.2.2+dfsg3-1_all.deb
Files: 
 883a3b6189d4562a4d63dddb59d70ec3 1456 java optional zookeeper_3.2.2+dfsg3-1.dsc
 35e8e4bd41b3ac6bedfa07375b7c54d6 2328253 java optional zookeeper_3.2.2+dfsg3.orig.tar.gz
 05cd463daffb7baa8a7c09614e8810be 7256 java optional zookeeper_3.2.2+dfsg3-1.diff.gz
 15619b037edb3fb83c696a8faca6f0a3 580420 java optional libzookeeper-java_3.2.2+dfsg3-1_all.deb
 5c2758f5c31ec8c1fb58209f732deedc 5154 java optional zookeeper_3.2.2+dfsg3-1_all.deb
 7de512d491165f309c4aad3ef73bb035 3288 java optional zookeeperd_3.2.2+dfsg3-1_all.deb
 252cac6ae8b215232326fa5aa90e8da8 369020 doc optional libzookeeper-java-doc_3.2.2+dfsg3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkthR9QACgkQpldmHVvob7mX8gCePFN7ii2sNiC0zDTL9hpM0bwz
UtsAoIFeikvjG9pjqlnKRi639aJSm7bf
=Q2/r
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Mar 2010 07:32:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:09:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.